View Issue Details

IDProjectCategoryView StatusLast Update
11705Feature requests[All Projects] Survey designpublic2018-04-06 11:48
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityfeature 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary11705: Question attribute : better separation between : EM managed and EM forced
Description

We have some attribute where we can use EM, and some where EM is used by default.
1 : there are no automatic way to show with EM (or not) survey logic file : all is done manually : https://github.com/LimeSurvey/LimeSurvey/blob/master/application/helpers/expressions/em_manager_helper.php#L9380
2 : this allow us to use it in "Question quick view) and show error quickest (see screenshot)
3 : we need sometimes to add the { } (em_validation_q)
4 : Some broken question are shown as valid in survey logic file (see second screenshot)

Additional Information

Adding an
'expression'=>(0|1|2) to https://github.com/LimeSurvey/LimeSurvey/blob/master/application/helpers/questionHelper.php#L1409 can do the tric:

0 : don't apply EM for this (display_type/value_range_allows_missing)
1 : apply EM without forcing it (other_replace_text, all message shown to user)
2 : forced em_validation_q / max_num_value ...

Tagsexpression manager, question settings

Activities

DenisChenu

DenisChenu

2016-09-23 16:11

developer  

DenisChenu

DenisChenu

2016-09-23 16:11

developer  

DenisChenu

DenisChenu

2016-11-08 19:43

developer   ~41798

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21313

DenisChenu

DenisChenu

2016-11-09 09:21

developer   ~41805

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21316

DenisChenu

DenisChenu

2016-11-09 09:24

developer   ~41806

Leave 2 : this allow us to use it in "Question quick view) and show error quickest (see screenshot) to NO.

If someone think it's great : reopen this bug

Related Changesets

LimeSurvey: develop c9d31d6f

2016-11-08 19:36:59

DenisChenu

Details Diff
New feature 11705: Question attribute : better separation between : EM managed and EM forced
Dev: must review some attribute to have 'expression'=>1
Dev: did we need a difference between 'javascript' em and 'no-javascript' EM
Dev: fix some attribute where EM must be allowed but use integer
Affected Issues
11705
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/questionHelper.php Diff File

LimeSurvey: develop ac30b3db

2016-11-09 09:19:32

DenisChenu

Details Diff
Dev: new feature 11705 Show EM error if exist in QUestion nAttribute in logic file Affected Issues
11705
mod - application/helpers/questionHelper.php Diff File

Issue History

Date Modified Username Field Change
2016-09-23 16:11 DenisChenu New Issue
2016-09-23 16:11 DenisChenu File Added: Capture du 2016-09-23 15-55-39.png
2016-09-23 16:11 DenisChenu File Added: Capture du 2016-09-23 16-00-42.png
2016-09-23 16:11 DenisChenu Tag Attached: expression manager
2016-09-23 16:11 DenisChenu Tag Attached: question settings
2016-11-08 19:43 DenisChenu Changeset attached => LimeSurvey develop c9d31d6f
2016-11-08 19:43 DenisChenu Note Added: 41798
2016-11-08 19:43 DenisChenu Assigned To => DenisChenu
2016-11-08 19:43 DenisChenu Resolution open => fixed
2016-11-08 19:43 DenisChenu Status new => assigned
2016-11-09 09:21 DenisChenu Changeset attached => LimeSurvey develop ac30b3db
2016-11-09 09:21 DenisChenu Note Added: 41805
2016-11-09 09:24 DenisChenu Status assigned => resolved
2016-11-09 09:24 DenisChenu Fixed in Version => 3.0
2016-11-09 09:24 DenisChenu Note Added: 41806
2018-04-06 11:48 markusfluer Status resolved => closed